Package org.eclipse.rdf4j.sail.config

## Class SailConfigSchema

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.SailConfigSchema

-     public class SailConfigSchema
      extends Object

  Defines constants for the Sail repository schema which are used to initialize repositories.
  Author:
    Arjohn Kampman

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `CONNECTION_TIME_OUT` | http://www.openrdf.org/config/sail#connectionTimeOut
    `static IRI` | `DELEGATE` | http://www.openrdf.org/config/sail#delegate
    `static IRI` | `ITERATION_CACHE_SYNC_THRESHOLD` | http://www.openrdf.org/config/sail#iterationCacheSyncTreshold
    `static String` | `NAMESPACE` | The Sail API schema namespace ( http://www.openrdf.org/config/sail#).
    `static IRI` | `SAILTYPE` | http://www.openrdf.org/config/sail#sailType

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SailConfigSchema()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The Sail API schema namespace ( http://www.openrdf.org/config/sail#).
      See Also:
        Constant Field Values

    - #### SAILTYPE

          public static final IRI SAILTYPE

      http://www.openrdf.org/config/sail#sailType

    - #### DELEGATE

          public static final IRI DELEGATE

      http://www.openrdf.org/config/sail#delegate

    - #### ITERATION_CACHE_SYNC_THRESHOLD

          public static final IRI ITERATION_CACHE_SYNC_THRESHOLD

      http://www.openrdf.org/config/sail#iterationCacheSyncTreshold

    - #### CONNECTION_TIME_OUT

          public static final IRI CONNECTION_TIME_OUT

      http://www.openrdf.org/config/sail#connectionTimeOut

  - ### Constructor Detail

    - #### SailConfigSchema

          public SailConfigSchema()